Subject: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Robert Pluim <[email-masked]>
Date: Fri, 19 Oct 2018 09:26:28 +0200

Vivek Dasmohapatra <[email-masked]> writes:

>> Oh, I'm quite sure we want this on master, I'm just struggling with
>> the idea of having all that non-trivial code on the release branch.
>>
>> Does anyone else have an opinion, or can offer one?
>
> Only that I find the current size-jitter extremely annoying, which
> is admittedly a very subjective thing. The actual merge window does
> not matter so much to me because, well, I already have a patched
> emacs on my system(s) by this point.

In favour of putting it on emacs-26 is that it resolves the spewing of

Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion
'extra_space >= 0' failed

when I run emacs with GDK scaling.

Robert